%define name	ngrep
%define version 1.40.1
%define release 1rph

Summary:	Network Traffic sniffer, with pattern matching like grep.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-no-locincpth.patch.bz2
URL:		http://ngrep.sourceforge.net/
License:	BSD
Group:		Networking/Other
Requires:	libpcap0
BuildRequires:	libpcap0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
ngrep strives to provide most of GNU grep's common features, applying
them to the network layer.  ngrep is a pcap-aware tool that will allow
you to specify extended regular or hexadecimal expressions to match
against data payloads of packets.  It currently recognizes TCP, UDP
and ICMP across Ethernet, PPP, SLIP, FDDI, Token Ring and null
interfaces, and understands bpf filter logic in the same fashion as
more common packet sniffing tools, such as tcpdump and snoop.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q -n %{name}
%patch0 -p1

%build
autoconf
%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8
install -m755 %{name} %{buildroot}%{_bindir}/
install -m644 %{name}.8 %{buildroot}%{_mandir}/man8/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CHANGES CREDITS INSTALL README USAGE
%{_bindir}/%{name}
%{_mandir}/man8/*

%changelog
* Sat Jun 15 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.40.1-1rph
- first rpmhelp.net release

* Sun Jun  9 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.40.1-1mdk
- initial cooker contrib
- added P0
